Subject: RE: [nemo] Including prefix information in BU in explicit mode

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Sun, 15 Aug 2004 21:05:50 +0200

If we go 2) I suggest we add a bit saying same as last. I prefer 1) :)

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Vijay Devarapalli
> Sent: vendredi 13 août 2004 22:18
> To: [email-masked]
> Subject: [nemo] Including prefix information in BU in explicit mode
> 
> hi all,
> 
> Pascal brought this issue up.
> 
> In the explicit mode, can the MR avoid including prefix information
> in binding updates that just refresh an existing binding cache entry?
> 
> a brief summary of the discussion is at
> http://people.nokia.net/vijayd/nemo/issue42.txt
> 
> we have 2 options.
> 
> 1. mandate that the MR include prefix information in every BU in
>     explicit mode. the prefix information should only contain those
>     prefixes for which the MR wants forwarding setup.
> 
> 2. the MR can avoid including prefix information in the BU, if
>     it is not updating the list of prefixes for which it needs
>     forwarding setup at the HA. if it is updating (removing a prefix
>     or adding a prefix), then it needs to include the prefix
>     information in the BU.
> 
> option 1) is simpler for the Home Agent, but option 2) saves bits
> over the air.
> 
> comments are welcome.
> 
> Vijay